---
.title = "Blocky",
.author = "Martin Ashby",
.date = @date("2022-10-07T20:24:03+01:00"),
.layout = "single.html",
.custom = {"comments": true},
---

I recently revisited the idea of installing [pi-hole](https://pi-hole.net/) in my local network to help remove ads from miscellaneous devices on my network. However, my raspberry pi already runs a lot of stuff including this blog, and runs on an unsupported-by-pi-hole OS (manjaro linux).

I found another tool [blocky](https://0xerr0r.github.io/blocky/) which is a DNS server with a lot of the same features as pi-hole. It has a reasonably simple configuration file and uses sane defaults for things I don't want to configure. It's distributed as a single binary, and it was trivially available in the arch user repository.

One thing this doesn't do is act as a DHCP server. For now I'm accessing the DNS server over [tailscale](https://tailscale.com), following [this article](https://tailscale.com/kb/1114/pi-hole/) explaining how to set a custom DNS server for your tailnet. I'll check how well this works for some time on my devices using tailscale, then later investigate how to configure my router to supply my DNS server instead of it's own to connecting devices so any other network devices get the same filters.
